Package: org.apache.groovy.groovysh

## [Groovy] Interface Command

-     @CompileStatic
      interface Command

  Provides the interface required for command extensions.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract Object` | `execute(List<String> args)`
    `` | `abstract List` | `getAliases()`
    `` | `abstract jline.console.completer.Completer` | `getCompleter()`
    `` | `abstract String` | `getDescription()`
    `` | `abstract String` | `getHelp()`
    `` | `abstract boolean` | `getHidden()`
    `` | `abstract String` | `getName()`
    `` | `abstract String` | `getShortcut()`
    `` | `abstract String` | `getUsage()`

- - ### Method Detail

    - #### abstract Object execute(List<String> args)

    - #### abstract List getAliases()

    - #### abstract jline.console.completer.Completer getCompleter()

    - #### abstract String getDescription()

    - #### abstract String getHelp()

    - #### abstract boolean getHidden()

    - #### abstract String getName()

    - #### abstract String getShortcut()

    - #### abstract String getUsage()